Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.tasklist
Class TaskPropertiesDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.ui.views.tasklist.TaskPropertiesDialog

public class TaskPropertiesDialog
extends Dialog

Shows the properties of a new or existing task, or a problem.

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, dialogArea, DLG_IMG_ERROR, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`TaskPropertiesDialog(Shell parentShell)` Creates the dialog.

Method Summary
`protected void` | `configureShell(Shell newShell)` Configures the given shell in preparation for opening this window in it.
`protected void` | `createButtonsForButtonBar(Composite parent)` Creates only the OK button if showing problem properties, otherwise creates both OK and Cancel buttons.
`protected Control` | `createDialogArea(Composite parent)` Creates and returns the contents of the upper part of this dialog (above the button bar).
`Map` | `getInitialAttributes()` Returns the initial attributes to use when creating a new task, or `null` if not set.
`IMarker` | `getMarker()` Returns the marker being created or modified.
`IResource` | `getResource()` Returns the resource to use when creating a new task, or `null` if none has been set.
`protected void` | `okPressed()` Notifies that the ok button of this dialog has been pressed.
`void` | `setInitialAttributes(Map initialAttributes)` Sets initial attributes to use when creating a new task.
`void` | `setMarker(IMarker marker)` Sets the marker to show or modify.
`void` | `setResource(IResource resource)` Sets the resource to use when creating a new task.

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getInitialLocation, getInitialSize, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setExceptionHandler, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskPropertiesDialog

    public TaskPropertiesDialog(Shell parentShell)

  Creates the dialog. By default this dialog creates a new task. To set the resource and initial attributes for the new task, use `setResource` and `setInitialAttributes`. To show or modify an existing task, use `setMarker`.

Parameters:
  `parentShell` - the parent shell

Method Detail

### setMarker

    public void setMarker(IMarker marker)

  Sets the marker to show or modify.

  Parameters:
    `marker` - the marker, or `null` to create a new marker

### getMarker

    public IMarker getMarker()

  Returns the marker being created or modified. For a new marker, this returns `null` until the dialog returns, but is non-null after.

### setResource

    public void setResource(IResource resource)

  Sets the resource to use when creating a new task. If not set, the new task is created on the workspace root.

### getResource

    public IResource getResource()

  Returns the resource to use when creating a new task, or `null` if none has been set. If not set, the new task is created on the workspace root.

### setInitialAttributes

    public void setInitialAttributes(Map initialAttributes)

  Sets initial attributes to use when creating a new task. If not set, the new task is created with default attributes.

### getInitialAttributes

    public Map getInitialAttributes()

  Returns the initial attributes to use when creating a new task, or `null` if not set. If not set, the new task is created with default attributes.

### configureShell

    protected void configureShell(Shell newShell)

  Description copied from class: `Window`
  Configures the given shell in preparation for opening this window in it.

  The default implementation of this framework method sets the shell's image and gives it a grid layout. Subclasses may extend or reimplement.

  Overrides:
    `configureShell` in class `Window`
  Parameters:
    `newShell` - the shell

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Description copied from class: `Dialog`
  Creates and returns the contents of the upper part of this dialog (above the button bar).

  The `Dialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

  The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

  Subclasses must override this method but may call `super` as in the following example:

       Composite composite = (Composite) super.createDialogArea(parent);
       //add controls to composite as necessary
       return composite;

  Overrides:
    `createDialogArea` in class `Dialog`
  Parameters:
    `parent` - the parent composite to contain the dialog area
  Returns:
    the dialog area control

### createButtonsForButtonBar

    protected void createButtonsForButtonBar(Composite parent)

  Creates only the OK button if showing problem properties, otherwise creates both OK and Cancel buttons.

  Overrides:
    `createButtonsForButtonBar` in class `Dialog`
  Parameters:
    `parent` - the button bar composite

### okPressed

    protected void okPressed()

  Description copied from class: `Dialog`
  Notifies that the ok button of this dialog has been pressed.

  The `Dialog` implementation of this framework method sets this dialog's return code to `Window.OK` and closes the dialog. Subclasses may override.

  Overrides:
    `okPressed` in class `Dialog`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.